Package org.codehaus.groovy.groovydoc

# Interface GroovyMethodDoc

All Superinterfaces:
  `Comparable<GroovyDoc>`, `GroovyDoc`, `GroovyExecutableMemberDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

All Known Implementing Classes:
  `SimpleGroovyMethodDoc`

public interface GroovyMethodDoc extends GroovyExecutableMemberDoc
Describes a method in the Groovydoc model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAbstract()`
  Indicates whether this method is declared abstract.
  `GroovyClassDoc`
  `overriddenClass()`
  Returns the class in which the overridden method is declared.
  `GroovyMethodDoc`
  `overriddenMethod()`
  Returns the method that this method overrides.
  `GroovyType`
  `overriddenType()`
  Returns the type that declares the method overridden by this method.
  `boolean`
  `overrides(GroovyMethodDoc arg0)`
  Indicates whether this method overrides the supplied method.
  `GroovyType`
  `returnType()`
  Returns the declared return type of this method.
  `void`
  `setReturnType(GroovyType o)`
  Updates the declared return type of this method.

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyExecutableMemberDoc

  `flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptions, thrownExceptionTypes`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

  `isSynthetic`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

  `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- ## Method Details

  - ### isAbstract

    boolean isAbstract()
    Indicates whether this method is declared abstract.
    Returns:
      `true` if this method is abstract

  - ### overriddenClass

    GroovyClassDoc overriddenClass()
    Returns the class in which the overridden method is declared.
    Returns:
      the overridden method's declaring class, or `null` if none exists

  - ### overriddenMethod

    GroovyMethodDoc overriddenMethod()
    Returns the method that this method overrides.
    Returns:
      the overridden method, or `null` if none exists

  - ### overriddenType

    GroovyType overriddenType()
    Returns the type that declares the method overridden by this method.
    Returns:
      the overridden type, or `null` if none exists

  - ### overrides

    boolean overrides(GroovyMethodDoc arg0)
    Indicates whether this method overrides the supplied method.
    Parameters:
      `arg0` - the candidate method
    Returns:
      `true` if this method overrides `arg0`

  - ### returnType

    GroovyType returnType()
    Returns the declared return type of this method.
    Returns:
      the return type

  - ### setReturnType

    void setReturnType(GroovyType o)
    Updates the declared return type of this method.
    Parameters:
      `o` - the return type to associate with this method